Subject: Re: [dhcwg] about Prefix delegation in 3GPP EPC networks

From: [email-masked]
Date: Tue, 30 Mar 2010 16:13:37 +0800

The document I submitted to 3GPP is in the attachment. Please check it. Thanks.

Zhenqiang Li

> -----Original Message-----
> From: ext [email-masked]
> [mailto:[email-masked]]
> Sent: 30. maaliskuuta 2010 10:15
> To: [email-masked]
> Cc: [email-masked]; Savolainen Teemu (Nokia-D/Tampere);
> [email-masked]; [email-masked]
> Subject: about Prefix delegation in 3GPP EPC networks
> 
> Dear Suresh,
> 
> Nice meeting you at IETF 77.
> 
> First of all, I agree with you that it is good for a UE to use a
> shorter prefix to meet the situation, rather than using multiple /64
> prefixes.
> 
> Some additional comments about your draft:
> 1. Where to store the prefix length that you reserved for each UE?
> 2. How to validate the request from UE to avoid address abusing?
> 3. The proposed method in your draft seems address wasting, because you
> reserve /x (x < 64) prefix for each UE. It is better to store the
> minimum length that a UE can apply, and assign the proper lengh to UE
> based on the available adrress pool, the minimum length the UE can
> apply, and the length the UE actually requests.
> 4. Are there any other alternatives besides DHCPv6-PD? I listed some
> potential solutions in a 3GPP document. What is your opinion to them?
> 
> Best Regards,
> Zhenqiang Li
> 13911635816
> Department of Network Technology
> China Mobile Research Institute
> 2010-03-26